## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate lalrpop-util

Name:           rust-lalrpop-util
Version:        0.20.0
Release:        %autorelease
Summary:        Runtime library for parsers generated by LALRPOP

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/lalrpop-util
Source0:        %{crates_source}
# https://github.com/lalrpop/lalrpop/issues/600
Source1:        https://github.com/lalrpop/lalrpop/raw/%{version}/LICENSE-APACHE
Source2:        https://github.com/lalrpop/lalrpop/raw/%{version}/LICENSE-MIT

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Runtime library for parsers generated by LALRPOP.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lexer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexer-devel %{_description}

This package contains library source intended for building other packages which
use the "lexer" feature of the "%{crate}" crate.

%files       -n %{name}+lexer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
cp -pav %{SOURCE1} %{SOURCE2} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.20.0-1
- Rebuilt for MSVSphere 9.3

* Thu Nov 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-1
- Update to version 0.20.0; Fixes RHBZ#2189359

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.12-1
- Update to version 0.19.12

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.9-1
- Update to version 0.19.9; Fixes RHBZ#2181724

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.19.8-1
- Update to version 0.19.8; Fixes RHBZ#2082039

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.19.7-1
- Update to version 0.19.7; Fixes RHBZ#2042904

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.19.6-1
- Update to version 0.19.6; Fixes RHBZ#1969435

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.19.5-1
- Initial package

